# SPDX-License-Identifier: MIT
%global forge_url    https://github.com/CatharsisFonts/Cormorant
%global forge_commit 3f27825ce7aa990dc65761a7b323b92aecc84446

%global source_version 3.604
%global source_release 3
%global source_url     https://www.behance.net/gallery/28579883/Cormorant-an-open-source-display-font-family

%global default_fonts_foundry      Catharsis Fonts
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *txt *md
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family0              Cormorant
%global fonts_summary0             Cormorant, a display serif font family inspired by the Garamond heritage
%global fonts_fonts0               2.*OpenType*Files/*otf
%global fonts_fonts_exclude0       2.*OpenType*Files/CormorantSC*.otf %{fonts_fonts1} %{fonts_fonts2} %{fonts_fonts3} %{fonts_fonts4}
%global fonts_experimental_confs0  57-%{fonts_name0}.xml
%global fonts_description0         %{expand:
Cormorant is an original design for an extravagant display serif font family
inspired by the Garamond heritage, hand-drawn and produced by Catharsis Fonts.
While traditional Garamond cuts make for exquisite reading at book sizes, they
appear clumpy and inelegant at larger sizes. The design goal of Cormorant was
to distill the aesthetic essence of Garamond, unfetter it from the limitations
of metal printing, and allow it to bloom into its natural refined form at high
definition.

Cormorant is characterized by scandalously small counters, razor-sharp serifs,
dangerously smooth curves, and flamboyantly tall accents. While many
implementations of Garamond at small optical sizes already exist (including the
open-sourced EB Garamond by Georg Duffner), Cormorant aims for the sparsely
populated niche of display-size counterparts that exploit the high resolution
of contemporary screens and print media to the fullest.

Cormorant is made for large sizes; the larger, the better. However, it works
well as a text face in high-resolution environments.

Cormorant is a native 21st-century typeface making ample use of OpenType
technology. Some OpenType features are applied automatically while you type,
subtly improving the flow of the text. This includes kerning, standard
ligatures, and contextual alternates. Other features are intended to be
activated manually by the user, such as discretionary ligatures, stylistic
alternates, small capitals, and alternate figure sets.
}

%global fonts_family1              Cormorant Garamond
%global fonts_summary1             Cormorant Garamond, a variant with more traditional shapes
%global fonts_tags1                %{expand:
Suggests: font(cormorant)
}
%global fonts_fonts1               2.*OpenType*Files/CormorantGaramond*.otf
%global fonts_experimental_confs1  57-%{fonts_name1}.xml
%global fonts_description1  %{expand:
%{?fonts_description0}

While Cormorant’s quality is most evident in titling and poster usage at the
largest sizes, its Garamond genome renders it highly legible down to text sizes
on high-resolution devices and in print. This is particularly true about the
“Cormorant Garamond” cuts of the typeface.

Cormorant Garamond offers larger counters and subtly more traditional Garamond
shapes for a few key characters to achieve more reading comfort.}

%global fonts_family2              Cormorant Infant
%global fonts_summary2             Cormorant Infant, a gentle schoolbook-style variant
%global fonts_tags2                %{expand:
Suggests: font(cormorant)
}
%global fonts_fonts2               2.*OpenType*Files/CormorantInfant*.otf
%global fonts_experimental_confs2  58-%{fonts_name2}.xml}
%global fonts_description2         %{expand:
%{?common_description}

In Cormorant Infant, the letters “a g y” and their derivatives are replaced
by gentle schoolbook-style single-storey shapes.}

%global fonts_family3              Cormorant Upright
%global fonts_name3                catharsis-cormorant-upright-fonts
%global fonts_summary3             Cormorant Upright, an un-slanted cursive variant
%global fonts_tags3                %{expand:
Suggests: font(cormorant)
}
%global fonts_fonts3               2.*OpenType*Files/CormorantUpright*.otf
%global fonts_experimental_confs3  60-%{fonts_name3}.xml
%global fonts_description3         %{expand:
%{?fonts_description0}

Cormorant Upright is an un-slanted cursive of the main Cormorant font family.}

%global fonts_family4              Cormorant Unicase
%global fonts_summary4             Cormorant Unicase, a small-caps variant with some lowercase letter-forms
%global fonts_tags4                %{expand:
Suggests: font(cormorant)
}
%global fonts_fonts4               2.*OpenType*Files/CormorantUnicase*.otf
%global fonts_experimental_confs4  60-%{fonts_name4}.xml
%global fonts_description4  %{expand:
%{?fonts_description0}

Cormorant Unicase, is a small-caps variant with some lowercase letter-forms for
an eye-catching futuristic look.}

%global fonts_meta_all0           true

%dnl https://github.com/rpm-software-management/rpm/issues/1294
%dnl %global doc_licenses0 %{default_fonts_licenses}
%dnl %global doc_docs0      5.*Specimens*Test*Files/*pdf

%auto_init
%auto_pkg

%sourcelist
%auto_sources
57-%{fonts_name0}.xml
57-%{fonts_name1}.xml
58-%{fonts_name2}.xml
60-%{fonts_name3}.xml
60-%{fonts_name4}.xml

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.604-3.20200422git3f27825
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.604-2.20200422git3f27825
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.604-1.20200422git3f27825
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.602-4.20200215git83d1fa9
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.602-3.20200215git83d1fa9
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.602-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 3.602-1.20191209git83d1fa9
✅ Initial packaging
